# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'notification', 'model_label': 'notification'},
    {'model_name': 'notificationrecipient', 'model_label': 'notification recipient'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:notify_{model['model_name']}_add",
        "perms": [f"notify.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:notify_{model['model_name']}_changelist",
        "perms": [
            f"notify.view_{model['model_name']}",
            f"notify.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'notify',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'notify'}},
    'perms': ['notify.*'],
    'children': children
}]
